if (!window.WebSocket) {
	document.body.innerHTML = 'Twoja przeglądarka nie wspiera WebSocket.';
}

// nawiązać połączenie
var socket = new WebSocket("ws://"+window.location.hostname+":8081");

// wysłać komunikat z formularza publish
document.forms.publish.onsubmit = function() {
  var outgoingMessage = this.message.value;
  
  socket.send(outgoingMessage);
  this.message.value='';
  this.message.focus();
  return false;
};

// opracowanie otrzymanych komunikatów
socket.onmessage = function(event) {
  var incomingMessage = event.data;
  showMessage(incomingMessage); 
};

// pokaż komunikat w div#subscribe
function showMessage(message) {
  var messageElem = document.createElement('div');
  messageElem.appendChild(document.createTextNode(message));
  document.getElementById('subscribe').appendChild(messageElem);
}
