var http = require('http');
var Static = require('node-static');
var WebSocketServer = new require('ws');

// podłączone klienty
var clients = {};

// WebSocket-serwer na porcie 8081
var webSocketServer = new WebSocketServer.Server({port: 8081});
webSocketServer.on('connection', function(ws) {

  var id = Math.random();
  clients[id] = ws;
  console.log("nowe połączenie " + id);

  ws.on('message', function(message) {
    console.log('otrzymano komunikat ' + message);

    for(var key in clients) {
      clients[key].send(message);
    }
  });

  ws.on('close', function() {
    console.log('połączenie zamknięte ' + id);
    delete clients[id];
  });

});


// zwykły serwer plików statycznych na porcie 8080
var fileServer = new Static.Server('.');
http.createServer(function (req, res) {
  
  fileServer.serve(req, res);

}).listen(8080);

console.log("uruchomiono serwer na portach 8080, 8081");

